Bug 1297121 - Doesn't detect existing Windows created EFI partition
Doesn't detect existing Windows created EFI partition
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
23
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-09 08:40 EST by Bastien Nocera
Modified: 2016-09-21 12:19 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-02-09 17:49:18 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bastien Nocera 2016-01-09 08:40:47 EST
anaconda doesn't detect the existing Windows EFI partition resulting in a non-working "Windows Boot Manager" option in grub.

1. Factory restore a consumer computer with UEFI (Windows reinstall with all the partitions that go with it)
2. Shrink the main partition
3. Tell anaconda in the Live installer to automatically partition the now-free space.

Expected results:
grub as the default bootloader with a working Windows option

Actual results:
grub's scripts detect Windows as available, but the EFI partition with grub on it doesn't have the right Windows .EFI files. Trying to boot Windows results in a warning about "bootmgfw.efi" being missing (on top of my head) and the boot stopping.
Comment 1 David Shea 2016-01-11 15:09:33 EST
Please attach the log files from the install. The log files are available in /tmp during the installation and copied to /var/log/anaconda on the installed system.

Note You need to log in before you can comment on or make changes to this bug.